"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const buildComponentsMarkdown = (componentContexts) => {
    return componentContexts
        .map(context => {
        return context.existDocs
            ? `  - [${context.name}](${context.link})`
            : `  - ${context.name}`;
    })
        .join('\n');
};
exports.buildIndexPageMarkdown = ({ componentContextMap, }) => {
    let markdown = '# Components\n';
    for (const [dirName, componentContexts] of componentContextMap.entries()) {
        const compoentsListMarkdown = buildComponentsMarkdown(componentContexts);
        markdown += `- ${dirName}\n${compoentsListMarkdown}\n`;
    }
    return markdown;
};
