"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const constants_1 = require("./../../constants");
exports.default = ({ config, options, dirContext, }) => {
    if (!options.nuxt) {
        return;
    }
    const nuxtConfig = require(options.nuxt.configPath);
    const rootDir = ('rootDir' in nuxtConfig
        ? nuxtConfig.rootDir
        : dirContext.rootDir).replace(/\/$/, '');
    const srcDir = ('srcDir' in nuxtConfig
        ? path_1.default.join(rootDir, nuxtConfig.srcDir)
        : rootDir).replace(/\/$/, '');
    config.resolve.alias
        .set('~', srcDir)
        .set('~~', rootDir)
        .set('@', srcDir)
        .set('@@', rootDir)
        .set([constants_1.NUXT_DIR.ASSETS], path_1.default.join(srcDir, constants_1.NUXT_DIR.ASSETS))
        .set([constants_1.NUXT_DIR.STATIC], path_1.default.join(srcDir, constants_1.NUXT_DIR.STATIC));
};
