"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
exports.default = ({ config, ctx }) => {
    config.resolve.alias
        .set('@playground', ctx.tempPath)
        .set('@cwd', process.cwd());
    const playgroundLoaderPath = path_1.default.resolve(__dirname, '..', '..', 'playground-loader.js');
    const mdRule = config.module.rule('markdown');
    const mdLoader = mdRule.uses.get('markdown-loader');
    mdRule.uses.delete('markdown-loader');
    mdRule
        .use('playground-loader')
        .loader(require.resolve(playgroundLoaderPath))
        .options({ ctx });
    mdRule.uses.set('markdown-loader', mdLoader);
};
